package com.jxml.quick.util.qjml2qiml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCAccessClass extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMAccessClass dm=(QMAccessClass)dataModel;

		if (dm.size!=-1)
			throw new SAXException("accessClass does not support size: "+dm.size);
		if (dm.keyAccess!=null)
			throw new SAXException("accessClass does not support key: "+dm.key);
		startElement("accessClass");
		addStringContent(dm.accessor);
		endElement("accessClass");
	}
}
